VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
InputStream Class Referenceabstract

ByteOrder aware input stream interface. More...

Inheritance diagram for InputStream:

## Public Member Functions
| InputStream (ByteOrder byteOrder=kNativeByteOrder)
virtual | ~InputStream () noexcept=default
ByteOrder | getByteOrder () const
void | setByteOrder (ByteOrder newByteOrder)
bool | operator>> (int8_t &output)
bool | operator>> (uint8_t &output)
bool | operator>> (int16_t &output)
bool | operator>> (uint16_t &output)
bool | operator>> (int32_t &output)
bool | operator>> (uint32_t &output)
bool | operator>> (int64_t &output)
bool | operator>> (uint64_t &output)
bool | operator>> (double &output)
virtual bool | operator>> (std::string &string)=0
virtual uint32_t | readRaw (void *buffer, uint32_t size)=0

## Detailed Description

ByteOrder aware input stream interface.

## Constructor & Destructor Documentation

InputStream | ( | ByteOrder | byteOrder = `kNativeByteOrder` | ) |
| inline explicit

virtual ~InputStream | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

ByteOrder getByteOrder | ( |  | ) | const
| inline

bool operator>> | ( | int8_t & | output | ) |

bool operator>> | ( | uint8_t & | output | ) |

bool operator>> | ( | int16_t & | output | ) |

bool operator>> | ( | uint16_t & | output | ) |

bool operator>> | ( | int32_t & | output | ) |

bool operator>> | ( | uint32_t & | output | ) |

bool operator>> | ( | int64_t & | output | ) |

bool operator>> | ( | uint64_t & | output | ) |

bool operator>> | ( | double & | output | ) |

virtual bool operator>> | ( | std::string & | string | ) |
| pure virtual

Implemented in CResourceInputStream, CFileStream, CMemoryStream, and ZLibInputStream.

virtual uint32_t readRaw | ( | void * | buffer,
|  | uint32_t | size
| ) |  |
| pure virtual

Implemented in CResourceInputStream, CFileStream, CMemoryStream, and ZLibInputStream.

void setByteOrder | ( | ByteOrder | newByteOrder | ) |
| inline

The documentation for this class was generated from the following files:

- cstream.h
- cstream.cpp